Extending Qt Creator Manual | StorageSettings

Extending Qt Creator Manual 4.5.2

# StorageSettings Class

(TextEditor::StorageSettings)

- List of all members, including inherited members

## Public Functions

| StorageSettings()
bool | equals(const StorageSettings &ts) const
void | fromMap(const QString &prefix, const QVariantMap &map)
void | fromSettings(const QString &category, const QSettings *s)
void | toMap(const QString &prefix, QVariantMap *map) const
void | toSettings(const QString &category, QSettings *s) const

## Member Function Documentation

### StorageSettings::StorageSettings()

Default constructs an instance of StorageSettings.

### bool StorageSettings::equals(const StorageSettings &ts) const

### void StorageSettings::fromMap(const QString &prefix, const QVariantMap &map)

### void StorageSettings::fromSettings(const QString &category, const QSettings *s)

### void StorageSettings::toMap(const QString &prefix, QVariantMap *map) const

### void StorageSettings::toSettings(const QString &category, QSettings *s) const